<HdlContainer config='base'
              only='adrv9361'
              constraints='adrv1crr_bob_data_src_qadc_ad9361_sub_data_sink_qdac_ad9361_sub_lvds.xdc'>
  <Device name='platform_ad9361_spi'>
    <!-- MUST provide to this worker the zed's control plane clock freq value -->
    <Property name='CP_CLK_FREQ_HZ_p' value='100e6'/>
  </Device>
  <Device name='platform_ad9361_data_sub'>
    <Property name='lvds_p' value='true'/>
    <Property name='DATA_CLK_Delay' value='3'/>
    <Property name='RX_Data_Delay'  value='0'/>
    <Property name='FB_CLK_Delay'   value='7'/>
    <Property name='TX_Data_Delay'  value='0'/>
  </Device>
  <Device name='platform_ad9361_config'>
    <Property name='pin_control_p' value='true'/>
  </Device>
  <Device name='data_src_qadc_ad9361_sub'/>
  <Device name='data_sink_qdac_ad9361_sub'/>
  <Device name='data_src_qadc0'>
    <Property name='ADC_INPUT_IS_LSB_OF_OUT_PORT' value='true'/>
  </Device>
  <Device name='data_sink_qdac0'>
    <Property name='DAC_OUTPUT_IS_LSB_OF_IN_PORT' value='false'/>
  </Device>

  <Connection Device="data_sink_qdac0" Port="in" Interconnect='zynq'/>
  <Connection Device="data_src_qadc0" Port="out" Interconnect="zynq"/>

  <!-- other peripherals -->
  <Device name="gpi_dip_switch" card="adrv1crr_bob">
    <Property name="USE_DEBOUNCE" value="true"/>
    <Property name="EDGE_MODE" value="false"/>
    <Property name="RISING" value="true"/>
    <Property name="USE_TOGGLE" value="false"/>
  </Device>
  <Device name="gpi_push_button" card="adrv1crr_bob">
    <Property name="USE_DEBOUNCE" value="true"/>
    <Property name="EDGE_MODE" value="true"/>
    <Property name="RISING" value="true"/>
    <Property name="USE_TOGGLE" value="true"/>
  </Device>
  <Device name="gpo_led" card="adrv1crr_bob"/>
</HdlContainer>
